{% extends 'layouts/main.html' %}

{% load static %}

{% block title %}Aidants Connect - {{ usager.get_full_name }}{% endblock %}

{% block content %}
<section class="section">
  <div class="container">
    <div class="row">
      <h1 class="margin-bottom-0">
        <a id="retour_usagers" href="{% url 'usagers' %}">Vos usagers</a>
      </h1>
      {% if aidant.can_create_mandats %}
        <a id="add_mandat" class="button float-right" href="{% url 'new_mandat' %}">
            <span aria-hidden="true">📝&nbsp;</span>Créer un mandat
        </a>
      {% endif %}
    </div>
    <h2>&nbsp;↳ {{ usager.get_full_name }}</h2>
    {% if messages %}
      {% for message in messages %}
        <div class="notification {% if message.tags %}{{ message.tags }}{% endif %}" role="alert">{{ message }}</div>
      {% endfor %}
    {% endif %}
  </div>
</section>

<section class="section section-grey">
  <div class="container">
    <h3>Mandats en cours</h3>
    {% if active_mandats %}
      {% for mandat in active_mandats %}
        <div id="active-mandat-panel" class="panel">
          <div class="row">
            <h4 class="margin-bottom-0">
              <span aria-hidden="true">📝&nbsp;</span>Mandat valable encore {{ mandat.expiration_date | timeuntil }}
              <small title="{{ mandat.expiration_date }}">(jusqu'au {{ mandat.expiration_date | date:"d F Y" }})</small>
            </h4>
            <div class="float-right text-right">
              <a id="view_mandat_attestation" class="button" href="{% url 'mandat_visualisation' mandat_id=mandat.id %}"><span aria-hidden="true">🖨&nbsp;</span>Voir l’attestation</a>
                <a id="renew_mandat" class="button" href="{{ usager.renew_mandate_url }}"><span aria-hidden="true">🖨&nbsp;</span>Renouveler le mandat</a>
              <a id="cancel_mandat" class="button-outline warning" href="{% url 'confirm_mandat_cancelation' mandat_id=mandat.id %}">
                Révoquer le mandat <span aria-hidden="true">&nbsp;🗑️</span>
              </a>
            </div>
          </div>
          <ul class="label-list">
            <li class="label">Réalisé le <span title="{{ mandat.creation_date }}">{{ mandat.creation_date | date:"d F Y" }}</span></li>
            <li class="label">{{ mandat.get_duree_keyword_display }}</li>
            <li class="label">Signé {% if mandat.is_remote %}<span>à distance</span>{% else %}<span>en présence</span>{% endif %}</li>
          </ul>
          <br />
          <h5>{{ mandat.autorisations.count }} démarche{{ mandat.autorisations.count | pluralize }}</h5>
          <div>
            <table class="table">
              <thead>
                <tr>
                  <th scope="col" class="th-40">Périmètre de la démarche</th>
                  <th scope="col" class="th-20">Date d’expiration</th>
                  <th scope="col" class="th-20">
                    <span class="float-right">Actions</span>
                  </th>
                </tr>
              </thead>
              <tbody>
                {% for autorisation in mandat.autorisations.all %}
                  <tr
                    id="active-mandat-autorisation-{{ autorisation.demarche }}"
                    class="active-mandat-autorisation-row"
                  >
                    <td>{{ autorisation.demarche }}</td>
                    <td>
                      {% if not autorisation.revocation_date %}
                        <span title="{{ mandat.expiration_date }}">{{ mandat.expiration_date | date:"d F Y" }}</span>
                      {% else %}
                        <span class="text-red">Révoquée le {{ autorisation.revocation_date }}</span>
                      {% endif %}
                    </td>
                    <td>
                      {% if aidant.can_create_mandats and not autorisation.revocation_date %}
                        <a href="{% url 'confirm_autorisation_cancelation' usager_id=usager.id autorisation_id=autorisation.id %}" class="button-outline warning small float-right">
                          Révoquer l’autorisation <span aria-hidden="true">&nbsp;🗑️</span>
                        </a>
                      {% elif autorisation.was_separately_revoked %}{% spaceless %}
                        <a
                          class="button small float-right auth-revocation-attestation"
                          href="{% url 'autorisation_cancelation_attestation' autorisation_id=autorisation.id usager_id=mandat.usager.id %}"
                        >
                          <span aria-hidden="true">🖨&nbsp;</span>Voir la révocation
                        </a>
                      {% endspaceless %}{% endif %}
                    </td>
                  </tr>
                {% endfor %}
              </tbody>
            </table>
          </div>
        </div>
      {% endfor %}
    {% else %}
      <div class="notification" role="alert">Vous n’avez pas de mandats en cours avec cet usager.</div>
    {% endif %}

    <br />

    <h3>Mandats expirés ou révoqués</h3>
    {% if inactive_mandats %}
      {% for mandat in inactive_mandats %}
        <div id="inactive-mandat-panel" class="panel">
          <div class="row">
            <h4>
              {% spaceless %}
              {% if mandat.was_explicitly_revoked %}
              <span aria-hidden="true">📝&nbsp;</span>Mandat révoqué depuis {{ mandat.revocation_date | timesince }}
              <small title="{{ mandat.revocation_date }}">(le {{ mandat.revocation_date | date:"d F Y" }})</small>
              {% else %}
              <span aria-hidden="true">📝&nbsp;</span>Mandat expiré depuis {{ mandat.expiration_date | timesince }}
              <small title="{{ mandat.expiration_date }}">(le {{ mandat.expiration_date | date:"d F Y" }})</small>
              {% endif %}
              {% endspaceless %}
            </h4>
            <div class="float-right">
              <a id="view_mandat_attestation" class="button" href="{% url 'mandat_visualisation' mandat_id=mandat.id %}"><span aria-hidden="true">🖨&nbsp;</span>Voir l’attestation</a>
              {% if mandat.was_explicitly_revoked %}
              <a id="view-mandate-revocation" class="button" href="{% url 'mandat_cancellation_attestation' mandat_id=mandat.id %}"><span aria-hidden="true">🖨&nbsp;</span>Voir la révocation</a>
              {% endif %}
            </div>
          </div>
          <ul class="label-list">
            <li class="label">Réalisé le <span title="{{ mandat.creation_date }}">{{ mandat.creation_date | date:"d F Y" }}</span></li>
            <li class="label">{{ mandat.get_duree_keyword_display }}</li>
            <li class="label">Signé {% if mandat.is_remote %}<span>à distance</span>{% else %}<span>en présence</span>{% endif %}</li>
          </ul>
          <br />
          <h5>{{ mandat.autorisations.count }} démarche{{ mandat.autorisations.count | pluralize }}</h5>
          <div>
            <table class="table">
              <thead>
                <tr>
                  <th scope="col" class="th-40">Périmètre de la démarche</th>
                  <th scope="col" class="th-20">Date d'expiration</th>
                  <th scope="col" class="th-20">
                    <span class="float-right">Actions</span>
                  </th>
                </tr>
              </thead>
              <tbody>
                {% for autorisation in mandat.autorisations.all %}
                  <tr
                    id="inactive-mandat-autorisation-{{ autorisation.demarche }}"
                    class="inactive-mandat-autorisation-row"
                  >
                    <td>{{ autorisation.demarche }}</td>
                    <td>
                      {% if not autorisation.revocation_date %}
                        <span title="{{ mandat.expiration_date }}">{{ mandat.expiration_date | date:"d F Y" }}</span>
                      {% else %}
                        <span class="text-red">Révoquée le {{ autorisation.revocation_date }}</span>
                      {% endif %}
                    </td>
                    <td>
                      {% if autorisation.was_separately_revoked %}{% spaceless %}
                        <a
                          class="button small float-right auth-revocation-attestation"
                          href="{% url 'autorisation_cancelation_attestation' autorisation_id=autorisation.id usager_id=mandat.usager.id %}"
                        >
                          <span aria-hidden="true">🖨&nbsp;</span>Voir la révocation
                        </a>
                      {% endspaceless %}{% endif %}
                    </td>
                  </tr>
                {% endfor %}
              </tbody>
            </table>
          </div>
        </div>
      {% endfor %}
    {% else %}
      <div class="notification" role="alert">Vous n’avez pas de mandat expiré avec cet usager.</div>
    {% endif %}
  </div>
</section>
{% endblock content %}
